Create Delivery account
/api/delivery/accountsCreates a Delivery account and optionally creates the customer billing profile/order.
Authorization
api_key API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Delivery account description.
Delivery account type.
transactional= transactional SMTP/API sending.newsletter= marketing/newsletter sending.
transactional | newsletterPayment method for paid plans.
stripe= Stripe payment method.lcwsoftpaypalbillingagreements= PayPal billing agreement payment method.paypal= PayPal payment method.
stripe | lcwsoftpaypalbillingagreements | paypalCustomer code that will own the account. Admin only.
Ignore Delivery suppression list checks for this account.
Allowed IP addresses or networks for SMTP/API access.
Customer billing profile type when a WHMCS profile must be created.
private= private individual billing profile.company= company billing profile.reseller= reseller billing profile.
private | company | resellerBilling profile first name.
Billing profile last name.
Billing profile email address.
Billing profile country.
Billing profile address.
Billing profile city.
Billing profile postal code.
Billing profile state/province.
Billing profile phone number.
Billing profile password.
Billing profile password confirmation.
Billing profile fiscal code.
Billing profile VAT number.
Billing profile company name.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/delivery/accounts" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "type": "transactional" }'{
"resources": [
{
"created_at": "string",
"updated_at": "string",
"username": "string",
"description": "string",
"id": "string",
"status": 0,
"status_detail": "ok",
"type": "transactional",
"plan": "free",
"start_date": "string",
"num_messages": "string",
"password": "string",
"config_hostname": "string",
"customer_code": "string",
"customer_fullname": "string",
"domains_count": "string",
"allow_nets": "string",
"domains": "string",
"bounce_notification": "string",
"bounce_notification_to_sender": "string",
"next_renewal_date": "string",
"last_renewal_date": "string",
"plan_expiration_date": "string",
"remaining_messages": "string",
"messages_sent": "string",
"remaining_extra_messages_bought": "string",
"extra_messages_total": "string",
"remaining_messages_error": "string",
"extra_messages_expires_at": "string",
"delivery_analytics": "string",
"has_pending_order": "string",
"delete_on": "string",
"plan_num_messages": "string",
"reset_to_plan_num_messages": "string",
"manager_fullname": "string",
"manager_code": "string",
"ignore_suppression_list": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}